Bug 134152 - Skia: a shadow on a specific object is broken
Summary: Skia: a shadow on a specific object is broken
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: graphics stack (show other bugs)
Version:
(earliest affected)
7.1.0.0.alpha0+ Master
Hardware: All Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: Skia
  Show dependency treegraph
 
Reported: 2020-06-19 13:20 UTC by Mike Kaganski
Modified: 2020-06-24 05:38 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Shadow is broken with Skia (65.53 KB, application/vnd.oasis.opendocument.presentation)
2020-06-19 13:20 UTC, Mike Kaganski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Kaganski 2020-06-19 13:20:30 UTC
Created attachment 162208 [details]
Shadow is broken with Skia

The attached ODP has a raster image with transparency, with shadow effect, which looks broken  when Skia is active, and looks OK without Skia (screenshots are there on the same slide, to the right, for the reference).

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 0a618246fc83f6ba7bd48de6164de7efc123f06f
CPU threads: 12; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: ru-RU (ru_RU); UI: en-US
Calc: CL
Comment 1 Telesto 2020-06-19 18:57:26 UTC
No repro
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 43c60ce1ac7629a1462e927e6ff937469f58f743
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

Also checked Vulkan
Comment 2 V Stuart Foote 2020-06-19 19:06:21 UTC
Can not repro

Windows 10 Ent 64-bit en-US (1909) with nVidia K2000 GPU with 2020-06-16 TB77 build
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 33a720ab802491f15b247e09755cd36205b6f435
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: en-US (en_US); UI: en-US
Calc: CL


Neither Skia Vulka nor Skia Raster mode rendering

Same for 2020-06-11 buildid=a201ab6f47c2d5a7ba4c5f998b0aa231cae82010

=-ref-=

RenderMethod: vulkan
Vendor: 0x10de
Device: 0xffe
API: 1.1.119
Driver: 442.296.0
DeviceType: discrete
DeviceName: Quadro K2000
Blacklisted: no
Comment 3 Commit Notification 2020-06-22 17:19:56 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/61703ea43d4043e3bb11c9cdccbcc87a1afb6e6b

do not assume SalBitmap is zero-initialized (tdf#134152)

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2020-06-24 05:38:06 UTC
Luboš Luňák committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/48106f66e4132dcc7a11a5ad18a535768b342dd4

do not assume SalBitmap is zero-initialized (tdf#134152)

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.